<?php
namespace App\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

/**
 * UserCardsFixture
 *
 */
class UserCardsFixture extends TestFixture
{

    /**
     * Fields
     *
     * @var array
     */
    // @codingStandardsIgnoreStart
    public $fields = [
        'id' => ['type' => 'biginteger', 'length' => 20, 'autoIncrement' => true, 'default' => null, 'null' => false, 'comment' => null, 'precision' => null, 'unsigned' => null],
        'user_id' => ['type' => 'biginteger', 'length' => 20, 'default' => null, 'null' => false, 'comment' => 'รหัส user', 'precision' => null, 'unsigned' => null, 'autoIncrement' => null],
        'organize_id' => ['type' => 'biginteger', 'length' => 20, 'default' => null, 'null' => true, 'comment' => 'รหัส บริษัท', 'precision' => null, 'unsigned' => null, 'autoIncrement' => null],
        'card_code' => ['type' => 'string', 'length' => 20, 'default' => null, 'null' => true, 'collate' => null, 'comment' => 'หมายเลขบัตร', 'precision' => null, 'fixed' => null],
        'img_path' => ['type' => 'string', 'length' => 255, 'default' => null, 'null' => true, 'collate' => null, 'comment' => null, 'precision' => null, 'fixed' => null],
        'prefix_name_th' => ['type' => 'string', 'length' => 255, 'default' => null, 'null' => true, 'collate' => null, 'comment' => 'ฝ่าย', 'precision' => null, 'fixed' => null],
        'firstname_th' => ['type' => 'string', 'length' => 255, 'default' => null, 'null' => true, 'collate' => null, 'comment' => null, 'precision' => null, 'fixed' => null],
        'lastname_th' => ['type' => 'string', 'length' => 255, 'default' => null, 'null' => true, 'collate' => null, 'comment' => null, 'precision' => null, 'fixed' => null],
        'prefix_name_en' => ['type' => 'string', 'length' => 255, 'default' => null, 'null' => true, 'collate' => null, 'comment' => null, 'precision' => null, 'fixed' => null],
        'firstname_en' => ['type' => 'string', 'length' => 255, 'default' => null, 'null' => true, 'collate' => null, 'comment' => null, 'precision' => null, 'fixed' => null],
        'lastname_en' => ['type' => 'string', 'length' => 255, 'default' => null, 'null' => true, 'collate' => null, 'comment' => null, 'precision' => null, 'fixed' => null],
        'department_name' => ['type' => 'string', 'length' => 255, 'default' => null, 'null' => true, 'collate' => null, 'comment' => null, 'precision' => null, 'fixed' => null],
        'section_name' => ['type' => 'string', 'length' => 255, 'default' => null, 'null' => true, 'collate' => null, 'comment' => 'แผนก', 'precision' => null, 'fixed' => null],
        'position_name' => ['type' => 'string', 'length' => 255, 'default' => null, 'null' => true, 'collate' => null, 'comment' => 'ตำแหน่ง', 'precision' => null, 'fixed' => null],
        'gender' => ['type' => 'string', 'length' => 1, 'default' => null, 'null' => true, 'collate' => null, 'comment' => null, 'precision' => null, 'fixed' => null],
        'blood_group' => ['type' => 'string', 'length' => 1, 'default' => null, 'null' => true, 'collate' => null, 'comment' => null, 'precision' => null, 'fixed' => null],
        'birthdate' => ['type' => 'date', 'length' => null, 'default' => null, 'null' => true, 'comment' => null, 'precision' => null],
        'date_issued' => ['type' => 'date', 'length' => null, 'default' => null, 'null' => true, 'comment' => 'วันที่ ออกบัตร', 'precision' => null],
        'date_expiry' => ['type' => 'date', 'length' => null, 'default' => null, 'null' => true, 'comment' => 'วันที่ หมดอายุ', 'precision' => null],
        'signature' => ['type' => 'string', 'length' => 255, 'default' => null, 'null' => true, 'collate' => null, 'comment' => 'ลายเซ็น', 'precision' => null, 'fixed' => null],
        'is_used' => ['type' => 'boolean', 'length' => null, 'default' => null, 'null' => false, 'comment' => null, 'precision' => null],
        'created_by' => ['type' => 'biginteger', 'length' => 20, 'default' => null, 'null' => false, 'comment' => null, 'precision' => null, 'unsigned' => null, 'autoIncrement' => null],
        'created' => ['type' => 'timestamp', 'length' => null, 'default' => null, 'null' => false, 'comment' => null, 'precision' => null],
        'modified_by' => ['type' => 'biginteger', 'length' => 20, 'default' => null, 'null' => true, 'comment' => null, 'precision' => null, 'unsigned' => null, 'autoIncrement' => null],
        'modified' => ['type' => 'timestamp', 'length' => null, 'default' => null, 'null' => true, 'comment' => null, 'precision' => null],
        '_constraints' => [
            'primary' => ['type' => 'primary', 'columns' => ['id'], 'length' => []],
        ],
    ];
    // @codingStandardsIgnoreEnd

    /**
     * Records
     *
     * @var array
     */
    public $records = [
        [
            'id' => 1,
            'user_id' => 1,
            'organize_id' => 1,
            'card_code' => 'Lorem ipsum dolor ',
            'img_path' => 'Lorem ipsum dolor sit amet',
            'prefix_name_th' => 'Lorem ipsum dolor sit amet',
            'firstname_th' => 'Lorem ipsum dolor sit amet',
            'lastname_th' => 'Lorem ipsum dolor sit amet',
            'prefix_name_en' => 'Lorem ipsum dolor sit amet',
            'firstname_en' => 'Lorem ipsum dolor sit amet',
            'lastname_en' => 'Lorem ipsum dolor sit amet',
            'department_name' => 'Lorem ipsum dolor sit amet',
            'section_name' => 'Lorem ipsum dolor sit amet',
            'position_name' => 'Lorem ipsum dolor sit amet',
            'gender' => 'Lorem ipsum dolor sit ame',
            'blood_group' => 'Lorem ipsum dolor sit ame',
            'birthdate' => '2018-05-15',
            'date_issued' => '2018-05-15',
            'date_expiry' => '2018-05-15',
            'signature' => 'Lorem ipsum dolor sit amet',
            'is_used' => 1,
            'created_by' => 1,
            'created' => 1526366122,
            'modified_by' => 1,
            'modified' => 1526366122
        ],
    ];
}
